#include "ContainerScreenController.h"
#include "Utils/MemoryUtils.h"
#include "Utils/FileUtils.h"

#include "Datas/PointerDatas.h"

auto ContainerScreenController::tryExit() -> void {
	return (reinterpret_cast<void(__thiscall*)(void*)>((*reinterpret_cast<void***>(this))[12]))(this);
}

auto ContainerScreenController::handlePlaceAll(std::string name, int32_t slot) -> void {
	return (reinterpret_cast<void(__thiscall*)(void*, std::string32, int32_t)>((*reinterpret_cast<void***>(this))[56]))(this, std::string32(name), slot);
}

auto ContainerScreenController::handleTakeAll(std::string name, int32_t slot) -> void {
	if (Datas::Pointer::containerscreencontroller_handletakeall) {
		return reinterpret_cast<void(__fastcall*)(ContainerScreenController*, std::string32, int32_t)>(Datas::Pointer::containerscreencontroller_handletakeall)(this, std::string32(name), slot);
	}
}
